# $EPIC: fexist,v 1.3 2003/07/05 06:34:00 jnelson Exp $
Synopsis:
   $fexist(<file>)
   $fexist("" <file>)

Technical:
   * In the first case, <file> is a single extended word (you may surround
     it with double quotes if it contains spaces).  Any further arguments
     are ignored.
   * In the second case, the first argument is an empty string, and the rest
     of the arguments are taken as a filename literally.  Do not backslash
     or double quote anything in <file>.
   * Tile-expansion is supported in both forms.
   * If <file> is not a symbolic link, it exists, and you have read access 
     to it, the return value is 1.  
   * If <file> is a symbolic link and the file it points to exists, and you
     have read access to it, the return value is 1.
   * In the other cases (the file doesn't exist, or you can't read it),
     the return value is -1.

Practical:
   This function is used when you want to see if a particular file exists.
   This could be useful to make sure a file is present before trying to
   load it.  This function does not return 0!

Returns:
   -1   file does not exist or is not readable by you.
    1   file exists and you can read it.

Examples:
   $fexist(/etc/passwd)                   probably will return 1
   $fexist(~/.ircrc)                      probably will return 1 too
   $fexist(fake_file)                     returns -1

See Also:
   open(6) fsize(6)

History:
   This function first appeared in EPIC3pre7.

